	@echo off
	rem *********************************************************************
	rem *  Filename : pack-webdic.bat
	rem *  An archive file creation program
	rem *  Copyright(C) 1998 Fumio Kawamata
	rem *
	rem * This batch program creats an archive for distribution.
	rem *
	rem * You need following programs when you execute this batch program.
	rem *   - Info-Zip's zip and unzip compression utility programs
	rem *   - rm, cp, and touch programs which run like UNIX programs
	rem * 
	rem * Remember that this batch program is designed for the author's
	rem * program environment.  Modify this program if you want use this. :-)
	rem *********************************************************************

	set Ver=100
	set TimeStamp=0%Ver%
	set DestName=c:\tmp\wdic%Ver%.zip
	set TestDir=c:\tmp\wdic%Ver%
	set LogFile=c:\tmp\ziplog.txt

	echo *****   Removing garbage files   *****
    rm %DestName%
    rm -R %TestDir%
	cd \prog\webdic

	echo *****   Touching files   *****
	touch --date=%TimeStamp% ./*.xls
	touch --date=%TimeStamp% ./*.bat
	touch --date=%TimeStamp% ./webdic/*

	echo *****   Zipping files into %DestName%  *****
	zip -r %DestName%  *>nul

    echo ***** Touching time stamp of the %DestName% *****
	touch --date=%TimeStamp% %DestName%


	echo *****   Unzipping files into %TestDir% *****
	mkdir %TestDir%>nul
	unzip %DestName% -d %TestDir%>>%LogFile%

	echo *****   All done   *****
